class_name Block
extends StaticBody3D

enum Types {
	DIRT,
	STONE,
}


@export var material: StandardMaterial3D

@onready var block_faces: Node3D = $BlockFaces


func _ready() -> void:
	_apply_materials()


func set_material(block_material: StandardMaterial3D):
	material = block_material

func _apply_materials() -> void:
	for face: MeshInstance3D in block_faces.get_children():
		face.set_surface_override_material(0, material)
